version: "3.9"
   
services:
  queue:
    image: ta:latest
    command: bash -c "service postfix start && python manage.py process_queue"
    volumes:
      - source: /mnt/textassembler
        target: /results
        type: bind
        bind:
          propagation: rslave
    depends_on:
      - db
    deploy:
      mode: global
      restart_policy:
        max_attempts: 5
        window: 10s
